# $Revision: 1.6 $, $Date: 2006/11/26 14:11:37 $
%include	/usr/lib/rpm/macros.php
%define		_class		PHP
%define		_subclass	Shell
%define		_status		alpha
%define		_pearname	PHP_Shell
Summary:	%{_pearname} - an interactive PHP Shell like IPython
Summary(pl):	%{_pearname} - interaktywna powoka PHP podobna do IPythona
Name:		php-pear-%{_pearname}
Version:	0.3.1
Release:	3
License:	MIT
Group:		Development/Languages/PHP
#Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
Source0:	http://jan.kneschke.de/projects/php-shell/PHP_Shell-%{version}.tgz
# Source0-md5:	0e5487d675dd7451138c599265a02af7
URL:		http://pear.php.net/package/PHP_Shell/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php(readline)
Requires:	php(tokenizer)
Requires:	php-common >= 4:5.0.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0-0.b1
Obsoletes:	php-shell
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP-based implementation of a interactive shell with history,
tab-completion, handling of fatal errors, debugging aid, ...

In PEAR status of this package is: %{_status}.

%description -l pl
Oparta na PHP implementacja interaktywnej powoki z histori,
dopenianiem tabem, obsug bdw krytycznych, pomoc przy usuwaniu
bdw...

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup
%{__sed} -i -e '1i#!/usr/bin/php' ./%{php_pear_dir}/php-shell-cmd.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir}}
%pear_package_install

mv $RPM_BUILD_ROOT%{php_pear_dir}/php-shell-cmd.php $RPM_BUILD_ROOT%{_bindir}/php-shell
chmod +x $RPM_BUILD_ROOT%{_bindir}/php-shell

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/%{_pearname}/{examples/php-shell-cmd.php,README}
%attr(755,root,root) %{_bindir}/php-shell
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/PHP/Shell.php
%dir %{php_pear_dir}/PHP/Shell
%{php_pear_dir}/PHP/Shell/Commands.php
%{php_pear_dir}/PHP/Shell/Extensions.php
%{php_pear_dir}/PHP/Shell/Options.php
%dir %{php_pear_dir}/PHP/Shell/Extensions
%{php_pear_dir}/PHP/Shell/Extensions/Autoload.php
%{php_pear_dir}/PHP/Shell/Extensions/AutoloadDebug.php
%{php_pear_dir}/PHP/Shell/Extensions/Colour.php
%{php_pear_dir}/PHP/Shell/Extensions/ExecutionTime.php
%{php_pear_dir}/PHP/Shell/Extensions/InlineHelp.php
%{php_pear_dir}/PHP/Shell/Extensions/LoadScript.php
%{php_pear_dir}/PHP/Shell/Extensions/Prototypes.php
%{php_pear_dir}/PHP/Shell/Extensions/VerbosePrint.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-PHP_Shell.spec,v $
Revision 1.6  2006/11/26 14:11:37  glen
- rel 3: use php(extension) virtuals

Revision 1.5  2006/11/08 20:10:30  glen
- PEAR-core is sufficent; rel 2

Revision 1.4  2006/07/25 18:53:47  glen
- 0.3.1: adds 'r', short for 'run script'

Revision 1.3  2006/06/19 01:18:39  glen
- missing dirs
- drop wrapper and use real shebang so the interpreter dep is autogenerated

Revision 1.2  2006/06/19 01:07:03  glen
- tests subpkg

Revision 1.1  2006/06/18 22:14:17  adamg
- new (php-shell is now released as a PEAR package)
